﻿
$ErrorActionPreference = 'Stop';
$url32        = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/02388cb4-0fe5-4bd7-ae2a-aee4a3250c40/MicrosoftEdgeDevEnterpriseX86.msi'
$url64      = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/7f7af057-e83c-4594-a33a-497209ce18fe/MicrosoftEdgeDevEnterpriseX64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  url64bit      = $url64

  softwareName  = 'Microsoft Edge Dev'

  checksum32      = '1c009f8ac093ee077a7c5cd1783315e5301da30dea7092dae163bb3ba16503ab'
  checksumType  = 'sha256'
  checksum64    = 'cc1c889652a883ec6ed7cc99f248d1796a4761dcdf06bd4201ee36b6b341b6aa'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs










    








